# OpalPluginTranscoderFactory< TranscoderClass >::Worker Class Reference

`#include <opalpluginmgr.h>`

List of all members.

## Public Member Functions

| Worker (const OpalTranscoderKey &key, PluginCodec_Definition *_codecDefn, PBoolean _isEncoder)

## Protected Member Functions

virtual OpalTranscoder * | Create (const OpalTranscoderKey &) const

## Protected Attributes

PluginCodec_Definition * | codecDefn
PBoolean | isEncoder

### template<class TranscoderClass>
class OpalPluginTranscoderFactory< TranscoderClass >::Worker

## Constructor & Destructor Documentation

template<class TranscoderClass>

OpalPluginTranscoderFactory< TranscoderClass >::Worker::Worker | ( | const OpalTranscoderKey & | key,
|  | PluginCodec_Definition * | _codecDefn,
|  | PBoolean | _isEncoder |
| ) |  |  | `[inline]`

## Member Function Documentation

template<class TranscoderClass>

virtual OpalTranscoder* OpalPluginTranscoderFactory< TranscoderClass >::Worker::Create | ( | const OpalTranscoderKey & |  | ) | const`[inline, protected, virtual]`

## Member Data Documentation

template<class TranscoderClass>

PluginCodec_Definition* OpalPluginTranscoderFactory< TranscoderClass >::Worker::codecDefn `[protected]`

template<class TranscoderClass>

PBoolean OpalPluginTranscoderFactory< TranscoderClass >::Worker::isEncoder `[protected]`

The documentation for this class was generated from the following file:

- opalpluginmgr.h